Subject: [netatalk-admins] build fails on Solaris 2.6

From: Richard Blocker <[email-masked]>
Date: Tue, 29 Sep 1998 16:10:30 -0500

Whether I use Sun's cc or GNU's gcc (v. 2.8.1 binary install from sunsite,
including bison 1.25, gmake 3.76.1) I get the following error regarding the
mysterious "member named 'S_un'."  Can anyone give me some clue how to fix
this?  I've scanned the mailing list archives and found no specific
information how to
get past this, though it seems many have no problems at all.

>gmake[2]: Leaving directory `/usr/local/src/netatalk-1.4b2/libatalk/atp'
>cd nbp; gmake -w CC="gcc" DEFS="-D__svr4__ -DSOLARIS" \
>    OPTOPTS="-O"
>gmake[2]: Entering directory `/usr/local/src/netatalk-1.4b2/libatalk/nbp'
>gcc -p -D__svr4__ -DSOLARIS -O -I../../include -c nbp_util.c
>nbp_util.c: In function `nbp_parse':
>nbp_util.c:62: structure has no member named `S_un'
>gmake[2]: *** [nbp_util.o] Error 1
>gmake[2]: Leaving directory `/usr/local/src/netatalk-1.4b2/libatalk/nbp'
>gmake[1]: *** [nbp] Error 2
>gmake[1]: Leaving directory `/usr/local/src/netatalk-1.4b2/libatalk'
>gmake: *** [../../libatalk] Error 2

Richard Blocker
Information Systems Manager
Ecology and Evolution
University of Chicago
Zoology 14
1101 E. 57th Street
Chicago, IL 60637
[email-masked]
telephone: 773-702-5135
facsimile: 773-702-9740